Bug 248655 - net-mgmt/phpipam: Update to 1.4.1
Summary: net-mgmt/phpipam: Update to 1.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL: https://github.com/phpipam/phpipam/bl...
Keywords: buildisok, needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2020-08-14 12:45 UTC by Marko Cupać
Modified: 2021-03-13 19:02 UTC (History)
3 users (show)

See Also:
jake: maintainer-feedback+


Attachments
Makefile, distinfo and pkg-plist diffs (94.19 KB, text/plain)
2020-08-14 12:45 UTC, Marko Cupać
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marko Cupać 2020-08-14 12:45:07 UTC
Created attachment 217211 [details]
Makefile, distinfo and pkg-plist diffs

Update net-mgmt/php-ipam to 1.4.1.

Biggest change, besides bumping PORTVERSION, `make makesum`-ing distinfo and regenerating pkg-plist is switch from SF to GH for fetching distfile.

Poudriere tesport passes, works fine for me, but I had a little problem with the upgrade. Database wouldn't upgrade because of incorrect timestamps, as described here:
https://github.com/phpipam/phpipam/issues/2617#issuecomment-511794390

Changing timestamps in ipaddresses table as described above allowed for successful database upgrade:

update ipaddresses set lastSeen='1970-01-01 00:00:01' where lastSeen < '0000-01-01 00:00:00';

Perhaps it would help to have this information in UPDATING?
Comment 1 Automation User 2020-08-14 13:08:26 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/177952637
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-08-15 05:14:06 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Any post upgrade instructions should be added in an UPDATING entry
Comment 3 Marko Cupać 2020-08-17 12:18:41 UTC
Added changelog URL
Comment 4 Marko Cupać 2020-08-17 14:00:24 UTC
I never wrote a patch for UPDATING. Should I take latest version and patch against it?

Is it ok to write something like:

---
ipaddresses table in phpipam database is likely to contain incorrect datetime values which prevent successful upgrade. Make sure to create backup of phpipam database. Before starting upgrade wizard in web interface run the following SQL query on phpipam database:

update ipaddresses set lastSeen='1970-01-01 00:00:01' where lastSeen < '0000-01-01 00:00:00';
---
Comment 5 olevole 2020-09-11 17:24:16 UTC
+1 for 1.4.1
Seems to maintainer timeout.
Any updates?
Comment 6 jake 2020-09-11 18:19:03 UTC
LGTM thanks for the patch
Comment 7 commit-hook freebsd_committer 2021-03-13 18:57:29 UTC
A commit references this bug:

Author: lwhsu
Date: Sat Mar 13 18:57:13 UTC 2021
New revision: 568272
URL: https://svnweb.freebsd.org/changeset/ports/568272

Log:
  net-mgmt/phpipam: Update to 1.4.1

  PR:		248655
  Submitted by:	Marko Cupa? <marko.cupac@mimar.rs>
  Approved by:	jake@xz.cx (maintainer)

Changes:
  head/net-mgmt/phpipam/Makefile
  head/net-mgmt/phpipam/distinfo
  head/net-mgmt/phpipam/files/pkg-message.in
  head/net-mgmt/phpipam/pkg-plist
Comment 8 commit-hook freebsd_committer 2021-03-13 19:01:32 UTC
A commit references this bug:

Author: lwhsu
Date: Sat Mar 13 19:00:41 UTC 2021
New revision: 568273
URL: https://svnweb.freebsd.org/changeset/ports/568273

Log:
  Add updating notes for net-mgmt/phpipam 1.4.1

  PR:		248655
  Submitted by:	Marko Cupa? <marko.cupac@mimar.rs>

Changes:
  head/UPDATING
Comment 9 Li-Wen Hsu freebsd_committer 2021-03-13 19:02:27 UTC
Committed with minor modification: no need to specify GH_* if the value is the same with PORTNAME.

Besides UPDATING, I also add upgrading notes to files/pkg-message.in for pkg users.